Commits

Martin Scharrer committed aaddb14

Updated INS and DTX file. Extracted svnkw.sty.

Comments (0)

Files changed (3)

 % \fi
 %
 % \iffalse
-%<*svnkw.sty>
-% \fi
-% \subsection{Backward compatibility wrapper \texttt{svnkw.sty}}
-% For backward compatibility a wrapper file with the old package name |svnkw| is
-% provided. Newer documents should use the name \svnmulti.
-%    \begin{macrocode}
-\NeedsTeXFormat{LaTeX2e}[1999/12/01]
-\ProvidesPackage{svnkw}
- [2009/03/27 v2.1 Backward compatibility wrapper for svn-multi]
-\PackageWarning{svnkw}{The package 'svnkw' got renamed to 'svn-multi' and is now 
-only a backward compatibility wrapper which loads 'svn-multi'.  Please adjust 
-your document preamble to use the new name.}
-\RequirePackage{svn-multi}
-%    \end{macrocode}
-% \iffalse
-%</svnkw.sty>
+%<@svnkw.sty>
 % \fi
 %
 % \Finale
 \askforoverwritefalse
 \usedir{tex/latex/svn-multi}
 
-\preamble
-
-This is a generated file.
-
-Copyright (C) 2006-2009 by Martin Scharrer <martin@scharrer-online.de>
-
-This work may be distributed and/or modified under the
-conditions of the LaTeX Project Public License, either version 1.3
-of this license or (at your option) any later version.
-The latest version of this license is in
-  http://www.latex-project.org/lppl.txt
-and version 1.3 or later is part of all distributions of LaTeX
-version 2005/12/01 or later.
-
-This work has the LPPL maintenance status `maintained'.
-
-The Current Maintainer of this work is Martin Scharrer.
-
-This work consists of the files svn-multi.dtx, svn-multi-pl.dtx, svn-multi.ins
-and the derived files svn-multi.sty, svnkw.sty and svn-multi.pl.
-
-\endpreamble
-
 \generate{%
           %\file{svn-multi.drv}{\from{svn-multi.dtx}{driver}}%
-          \file{svn-multi.sty}{\from{svn-multi.dtx}{package}}%
+          \file{svn-multi.sty}{\nopreamble\from{svn-multi.dtx}{svn-multi.sty}}%
           %\nopreamble \nopostamble
-          \file{svnkw.sty}{\from{svn-multi.dtx}{wrapper}}%
+          \file{svnkw.sty}{\nopreamble\from{svn-multi.dtx}{svnkw.sty}}%
           \nopreamble\nopostamble
           \file{svn-multi.pl}{\from{svn-multi-pl.dtx}{script}}%
          }
+% \subsection{Backward compatibility wrapper \texttt{svnkw.sty}}
+% For backward compatibility a wrapper file with the old package name |svnkw| is
+% provided. Newer documents should use the name \svnmulti.
+%    \begin{macrocode}
+%<!COPYRIGHT>
+\NeedsTeXFormat{LaTeX2e}[1999/12/01]
+\ProvidesPackage{svnkw}
+ [2009/03/27 v2.1 Backward compatibility wrapper for svn-multi]
+\PackageWarning{svnkw}{The package 'svnkw' got renamed to 'svn-multi' and is now 
+only a backward compatibility wrapper which loads 'svn-multi'.  Please adjust 
+your document preamble to use the new name.}
+\RequirePackage{svn-multi}
+%    \end{macrocode}